org.apache.maven.archiver

## Class ManifestSection

- java.lang.Object
- - org.apache.maven.archiver.ManifestSection

-     public class ManifestSection
      extends Object

  Version:
    $Id: ManifestSection.java 1233956 2012-01-20 15:27:43Z olamy $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManifestSection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addManifestEntries(Map<String,String> map)`
    `void` | `addManifestEntry(String key, String value)`
    `Map<String,String>` | `getManifestEntries()`
    `String` | `getName()`
    `boolean` | `isManifestEntriesEmpty()`
    `void` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestSection

          public ManifestSection()

  - ### Method Detail

    - #### addManifestEntry

          public void addManifestEntry(String key,
                              String value)

    - #### getManifestEntries

          public Map<String,String> getManifestEntries()

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### addManifestEntries

          public void addManifestEntries(Map<String,String> map)

    - #### isManifestEntriesEmpty

          public boolean isManifestEntriesEmpty()

Copyright © 2015. All rights reserved.